"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs = require("./adapters/fs");
class Settings {
    constructor(_options = {}) {
        this._options = _options;
        this._followSymbolicLink = this._setDefaultValue(this._options.followSymbolicLink, true);
        this._fs = fs.createFileSystemAdapter(this._options.fs);
        this._markSymbolicLink = this._setDefaultValue(this._options.markSymbolicLink, false);
        this._throwErrorOnBrokenSymbolicLink = this._setDefaultValue(this._options.throwErrorOnBrokenSymbolicLink, true);
    }
    get followSymbolicLink() {
        return this._followSymbolicLink;
    }
    get fs() {
        return this._fs;
    }
    get markSymbolicLink() {
        return this._markSymbolicLink;
    }
    get throwErrorOnBrokenSymbolicLink() {
        return this._throwErrorOnBrokenSymbolicLink;
    }
    _setDefaultValue(option, value) {
        return option === undefined ? value : option;
    }
}
exports.default = Settings;
